<template>
  <VlowCanvas :library="library" :nodes="nodes">
    <template v-slot:extra="data">
      <slot name="extra" v-bind="data"></slot>
    </template>
  </VlowCanvas>
</template>

<script>
import { parse } from "dirty-json"
import VlowCanvas from "./VlowCanvas.vue";
import library from "../libraries/std.vlowlib.json"

export default {
  name: "VlowPre",
  components: {
    VlowCanvas
  },
  props: {
    code: String
  },
  data() {
    return {
      library,
      nodes: parse(this.code)
    }
  }
}
</script>
